HtmlHotKey (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.html.HtmlHotKey class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlHotKey

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIHotKey
                  org.richfaces.component.html.HtmlHotKey

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlHotKey

extends UIHotKey

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlHotKey()`

Method Summary
`java.lang.Boolean` | `getCheckParent()`
`java.lang.Boolean` | `getDisableInInput()`
`java.lang.String` | `getDisableInInputTypes()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHandler()`
`java.lang.String` | `getKey()`
`java.lang.String` | `getSelector()`
`java.lang.String` | `getTiming()`
`java.lang.String` | `getType()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setCheckParent(java.lang.Boolean _checkParent)`
`void` | `setDisableInInput(java.lang.Boolean _disableInInput)`
`void` | `setDisableInInputTypes(java.lang.String _disableInInputTypes)`
`void` | `setHandler(java.lang.String _handler)`
`void` | `setKey(java.lang.String _key)`
`void` | `setSelector(java.lang.String _selector)`
`void` | `setTiming(java.lang.String _timing)`
`void` | `setType(java.lang.String _type)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlHotKey

    public HtmlHotKey()

Method Detail

### getCheckParent

    public java.lang.Boolean getCheckParent()

### setCheckParent

    public void setCheckParent(java.lang.Boolean _checkParent)

### getDisableInInput

    public java.lang.Boolean getDisableInInput()

### setDisableInInput

    public void setDisableInInput(java.lang.Boolean _disableInInput)

### getDisableInInputTypes

    public java.lang.String getDisableInInputTypes()

### setDisableInInputTypes

    public void setDisableInInputTypes(java.lang.String _disableInInputTypes)

### getHandler

    public java.lang.String getHandler()

### setHandler

    public void setHandler(java.lang.String _handler)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String _key)

### getSelector

    public java.lang.String getSelector()

### setSelector

    public void setSelector(java.lang.String _selector)

### getTiming

    public java.lang.String getTiming()

### setTiming

    public void setTiming(java.lang.String _timing)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String _type)

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `javax.faces.component.UIComponent`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.